Bug 112468 - sysutils/bacula-server 2.0.3 port build fails for sqlite3 backend
Summary: sysutils/bacula-server 2.0.3 port build fails for sqlite3 backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-06 22:40 UTC by John Hermes
Modified: 2007-07-06 19:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Hermes 2007-05-06 22:40:02 UTC
Port fails to build with the following:

Syntax error: redirection unexpected
*** Error code 2

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

After installing the sqlite3-threaded port, attempting to build bacula-server 2.0.3 results in a script failure after successful extraction and patching phases.

Suspect shell script follows (obtained using make -dA):

for i in sqlite3-threads>=0:/usr/ports/databases/sqlite3-threads intl:/usr/ports/devel/gettext; do  lib=${i%%:*};  case $lib in  *.*.*)     pattern="`echo $lib | /usr/bin/sed -e 's/\./\\\\./g'`" ;; *.*)  pattern="${lib%%.*}\.${lib#*.}" ;; *)   pattern="$lib" ;; esac;  dir=${i#*:};  target=${i##*:};  if test $dir = $target; then  target="install";  depends_args="";  else  dir=${dir%%:*};  fi;  if [ -z "" ] ; then  echo -n "===>   bacula-server-2.0.3 depends on shared library: $lib";  if /sbin/ldconfig -r | /usr/bin/grep -vwF -e "/usr/local/lib/compat/pkg" | /usr/bin/grep -qwE -e "-l$pattern"; then  echo " - found";  if [ 0 = 1 ]; then  echo "       (but building it anyway)";  notfound=1;  else  notfound=0;  fi;  else  echo " - not found";  notfound=1;  fi;  else  echo -n "===>   bacula-server-2.0.3 depends on shared library in : $lib";  if /usr/sbin/chroot  /sbin/ldconfig -r | /usr/bin/grep -vwF -e "/usr/local/lib/compat/pkg" | /usr/bin/grep -qwE -e "-l$pattern"; then  echo " 
 - found";  if [ 0 = 1 ]; then  echo "       (but building it anyway)";  notfound=1;  else  notfound=0;  fi;  else  echo " - not found";  notfound=1;  fi;  fi;  if [ $notfound != 0 ]; then  echo "===>    Verifying $target for $lib in $dir";  if [ ! -d "$dir" ]; then  echo "     => No directory for $lib.  Skipping..";  else  if [ X != "X" ]; then  subpkgfile=`(cd $dir; make $depends_args -V PKGFILE)`;  if [ -r "${subpkgfile}" -a "$target" = "install" ]; then  if [ -z "" ] ; then  echo "===>   Installing existing package ${subpkgfile}";  /usr/sbin/pkg_add ${subpkgfile};  else  echo "===>   Installing existing package ${subpkgfile} into ";  /usr/sbin/pkg_add -C  ${subpkgfile};  fi;  else  (cd $dir; make -DINSTALLS_DEPENDS $target $depends_args) ;  fi;  else  (cd $dir; make -DINSTALLS_DEPENDS $target $depends_args) ;  fi;  if [ -z "" ] ; then  echo "===>   Returning to build of bacula-server-2.0.3";  else  echo "===>   Returning to build of bacula-server-2.0.3 for ";  fi;  if ! /
 sbin/ldconfig -r | /usr/bin/grep -vwF -e "/usr/local/lib/com!
 pat/pkg"
 | /usr/bin/grep -qwE -e "-l$pattern"; then  echo "Error: shared library \"$lib\" does not exist";  false;  fi;  fi;  fi;  done
Syntax error: redirection unexpected
*** Error code 2

Stop in /usr/ports/sysutils/bacula-server.
*** Error code 1

Fix: 

Workaround:

Use 'make config' to choose another database backend and rebuild.
How-To-Repeat: After installing the sqlite3-threaded port, attempting to build bacula-server 2.0.3 results in a script failure after successful extraction and patching phases.

cd /usr/ports/sysutils/bacula-server

make WITH_SQLITE3=YES
Comment 1 Edwin Groothuis freebsd_committer 2007-05-06 23:22:51 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 John Hermes 2007-05-18 19:29:48 UTC
Here's a diff that fixed compilation for me. It doesn't check for the
threaded sqlite3 library, though.

--- Makefile.orig       Fri May 18 13:56:41 2007
+++ Makefile    Fri May 18 14:01:29 2007
@@ -146,7 +146,7 @@
 SUB_LIST+=             REQ_MYSQL="" REQ_PGSQL=postgresql
 .elif defined(WITH_SQLITE3)
 CONFIGURE_ARGS+=       --with-sqlite3=yes
-LIB_DEPENDS+=          sqlite3-threads>=0:${PORTSDIR}/databases/sqlite3-threads
+LIB_DEPENDS+=          sqlite3:${PORTSDIR}/databases/sqlite3-threads
 DBTYPE=                        sqlite3
 .else
 CONFIGURE_ARGS+=       --with-sqlite=yes
Comment 3 dfilter service freebsd_committer 2007-07-06 19:28:55 UTC
miwi        2007-07-06 18:28:48 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile 
  Log:
  - Fix build with sqlite3
  
  PR:             112468
  Submitted by:   John Hermes<John.Hermes@miami.k12.oh.us>
  Approved by:    maintainer via irc
  
  Revision  Changes    Path
  1.85      +1 -1      ports/sysutils/bacula-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-07-06 19:29:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!